Repository 32bit  Forum
Repository 64bit  Wiki

[RISOLTO] Upgrade firefox

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[RISOLTO] Upgrade firefox

Messaggioda Procopio » sab ago 20, 2011 10:52

Ciao a tutti!
Utilizzo slackware 13.0 con mozilla firefox 3.6.20, e vorrei upgradarlo all'ultima versione disponibile (la 6.0), è possibile? come posso farlo?


grazie mille!
Ultima modifica di Procopio il sab ago 20, 2011 16:13, modificato 1 volta in totale.
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: Upgrade firefox

Messaggioda hashbang » sab ago 20, 2011 12:38

Se non vuoi sbatterti in compilazioni, scarica il precompilato dal sito di Mozilla, estrailo nella /opt (da root) e crea un symlink di /opt/firefox/firefox in /usr/bin (con il comando "ln -sf").
Dopodichè dai un chmod -R 777 /opt/firefox, così eseguirai gli aggiornamenti dal ramo ufficiale quando saranno disponibili.

Ovviamente è scontato dirti di rimuovere il pacchetto di Firefox 3.6 prima di "aggiornarlo".
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1842
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: Upgrade firefox

Messaggioda Trotto@81 » sab ago 20, 2011 14:28

Credo gli manchi qualche dipendenza, tipo cairo, freetype e qualche altra cosuccia.
Avatar utente
Trotto@81
Iper Master
Iper Master
 
Messaggi: 3043
Iscritto il: ven giu 25, 2004 23:00
Località: Monasterace M. (RC)
Nome Cognome: Andrea
Slackware: Slackware64 14.1
Kernel: default
Desktop: KDE 4.10.5

Re: Upgrade firefox

Messaggioda Procopio » sab ago 20, 2011 16:13

ma per ora lo sono riuscito a installare :D se mi proto in /usr/bin e do un ./firefox parte (sto scrivendo da qua:):))

come faccio però a creare una icona sul pannello? semplicemente trascino il file firefox da /usr/bin sul pannello?
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: Upgrade firefox

Messaggioda Plaoo » dom ago 21, 2011 0:51

Procopio ha scritto:ma per ora lo sono riuscito a installare :D se mi proto in /usr/bin e do un ./firefox parte (sto scrivendo da qua:):))

come faccio però a creare una icona sul pannello? semplicemente trascino il file firefox da /usr/bin sul pannello?

Dovresti creare un "lanciatore" (non so se si chiama cosi su KDE) e poi come comando firefox e l 'icona la scegli dalle directory
Il canale ufficiale di slacky.eu si trova sui server irc.syrolnet.org canale #slackware
Avatar utente
Plaoo
Linux 2.6
Linux 2.6
 
Messaggi: 809
Iscritto il: gio apr 10, 2008 16:40
Località: Ittiri (SS)
Slackware: 14 64
Kernel: 3.2.9
Desktop: KDE

Re: [RISOLTO] Upgrade firefox

Messaggioda Procopio » mer ago 24, 2011 11:28

eh no su kde non c'è, c'è un metodo analogo comunque ma io non lo trovo. per ora ho trascinato sul desk l'icona firefox che c'è in /usr/bin e funziona, ma non riesco neanche a modificare l'icona:/
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: [RISOLTO] Upgrade firefox

Messaggioda 414N » mer ago 24, 2011 12:54

Puoi sempre riciclare il file .desktop di firefox del pacchetto ufficiale (che viene copiato in /usr/share/applications) oppure riciclare un file .desktop che trovi là dentro, modificandolo a seconda delle tue esigenze per avviare il nuovo firefox.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2884
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: [RISOLTO] Upgrade firefox

Messaggioda Procopio » gio ago 25, 2011 21:21

Scusate la domanda "abominevole" da fare su un forum di slackware:
dove posso trovare l'albero delle dipendenze di firefox 6?(o comunque di un programma in generale) per poi conseguentemente installare tutte quelle mancanti?
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: [RISOLTO] Upgrade firefox

Messaggioda 414N » gio ago 25, 2011 21:54

Procopio ha scritto:Scusate la domanda "abominevole" da fare su un forum di slackware:
dove posso trovare l'albero delle dipendenze di firefox 6?(o comunque di un programma in generale) per poi conseguentemente installare tutte quelle mancanti?

Più che abominevole, è una domanda poco sensata.
Innanzitutto, non hai specificato se sei interessato alle dipendenze richieste per compilare firefox 6 da sorgenti oppure per eseguirlo solamente da un binario precompilato: sono due mondi diversi con qualche intersezione comune.
Se da binario precompilato: quale binario?
Dato che qualche tempo fa mi sono prodigato in una spiegazione del problema delle dipendenze a runtime vs dipendenze a compile-time, ti rimando a questo mio post per ulteriori lumi.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2884
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: [RISOLTO] Upgrade firefox

Messaggioda Procopio » gio ago 25, 2011 22:00

grazie mille: sono da binario precompilato. L'ho installato come suggerito in questo topic, ma vedo che ha qualche problemino ogni tanto (si crasha flashplayer e cerca plugin)....in oltr sempre in questo topic mi avevano già suggerito qualche dipendenza mancante
Trotto@81 ha scritto:Credo gli manchi qualche dipendenza, tipo cairo, freetype e qualche altra cosuccia.
.
Grazie comunque per il link!
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: [RISOLTO] Upgrade firefox

Messaggioda Procopio » dom ago 28, 2011 20:41

Arrivo con un po di ritardo. Ho letto la tua spiegazione, molto illuminante anche per me che sono newbie, complimenti.
Ora posso dirti che ho scaricato da qua http://www.mozillaitalia.org/home/download/ il file (32bit) precompilato di Firefox 6.0, ma su quel sito non ho trovato le dipendenze del mio pacchetto, e neanche sul forum correlato...come posso trovarle?

sono anche disposto se mi sai segnalare una sorgente slackwariana per Firefox 6.0 italiano a reinstallare il tutto! dimmi tu!;)
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: [RISOLTO] Upgrade firefox

Messaggioda 414N » dom ago 28, 2011 22:18

Procopio ha scritto:grazie mille: sono da binario precompilato. L'ho installato come suggerito in questo topic, ma vedo che ha qualche problemino ogni tanto (si crasha flashplayer e cerca plugin)....in oltr sempre in questo topic mi avevano già suggerito qualche dipendenza mancante
Trotto@81 ha scritto:Credo gli manchi qualche dipendenza, tipo cairo, freetype e qualche altra cosuccia

Beh, se ti parte allora di dipendenze non dovrebbero mancartene. Puoi vedere le librerie richieste per farlo andare con
Codice: Seleziona tutto
ldd /path/del/binario/di/firefox

Se te ne mancasse qualcuna, nell'elenco comparirebbero dei "not found" e, comunque, il programma non partirebbe.
Non so nella 6.0, ma può darsi che il "firefox" che trovi nel pacchetto sia uno script che poi lancia il binario "firefox-bin" con determinati argomenti. Controlla tramite il comando file.
Quello a cui si riferiva Trotto@81 è che per compilarlo sono necessarie librerie (tipo cairo) più nuove rispetto a quelle presenti su Slackware 13.0. Ovviamente, se vai ad aggiornarle, probabilmente molti programmi che vi si appoggiano e che hai già installato nel sistema cesseranno di funzionare correttamente o cominceranno ad essere un po' "meteoropati" :).
Credo, inoltre, che il pacchetto precompilato da mozilla includa molte delle librerie alle quali firefox si appoggia in maniera statica, percui non ti è richiesto di stare ad installare una marea di dipendenze.
Per quanto riguarda i crash saltuari, io proverei ad usare un profilo pulito (prova l'opzione -ProfileManager da riga di comando) che non contenga estensioni di sorta, in modo da capire se è un'estensione a causarti i crash.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2884
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: [RISOLTO] Upgrade firefox

Messaggioda Procopio » lun ago 29, 2011 11:34

con ldd ho trovato che mi mancano due dipendenze
Codice: Seleziona tutto
libmozalloc.so
libxul.so

ma nessuna delle due si trova nei repos di slacky.eu...
secondo voi le scarico da altre parti o per l'importanza che possono avere mi consigliate di lascair perdere?
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Re: [RISOLTO] Upgrade firefox

Messaggioda 414N » lun ago 29, 2011 12:12

No, non stare a scaricarle.
ldd non te le trova perché lo script che lancia firefox (run-mozilla.sh) specifica dove trovarle tramite la variabile LD_LIBRARY_PATH opportunamente impostata prima del lancio del binario di firefox effettivo (firefox-bin). In sostanza, ce le hai già quelle librerie, ma non essendo in un percorso standard (/usr/lib ecc) ldd non le trova. Puoi fare una prova lanciando ldd dalla directory contenente sia firefox-bin che le due librerie "mancanti" così:
Codice: Seleziona tutto
LD_LIBRARY_PATH=`pwd`:$LD_LIBRARY_PATH ldd firefox-bin

Ora ldd non dovrebbe lamentarsi più di nulla.
In generale, comunque, non farti venire "paranoie" del genere. Se scarichi un precompilato non in formato rpm/deb dal sito del produttore stesso del software, generalmente questo conterrà al suo interno la maggioranza delle dipendenze che normalmente sarebbero richieste se te lo compilassi per i fatti tuoi.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2884
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: [RISOLTO] Upgrade firefox

Messaggioda Procopio » lun ago 29, 2011 12:42

Ok grazie mille, sei stato molto chiaro. Il mio problema si era scatenato in realtà quando con molte schede aperte, tra cui diversi video in caricamento, mi si crashava il flashplayer. Poi inoltre mi si apriva sempre il pannello per l'installazione dei plugin mancanti, ma puntualmente non me li trovava e non installava nulla. Così complice il post di trotto@81 che mi metteva in guardia dalle dipendenze mancanti ho pensato che il problema fosse quello.

Lo so che è una pretesa praticamente stupida tenere 25 schede aperte con anche diversi video, ma è che ho molta stima e fiducia nella potenza di slack (e anche di firefox;)).

Ancora una domanda :), detto tra amici :) la popolazione slackware predilige l'installazione da binari precompilati o se li compila per i fatti suoi? In altre parole la disto slackware preferisce che sia io a compilare i binari con tutte le dipendenze compile-time che poi non disinstallo o può funzionare già al massimo con i binari precompilati?

Grazie e scusa se la domanda è inopportuna, ma sono qui soprattutto per imparare:)
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 701
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Kernel: 3.16.1-1-ARCH
Desktop: awesome 3.5.5-1
Distribuzione: ArchLinux

Prossimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron